Resolves a list of Google Maps URLs to specific geospatial entities (e.g., places) on Google Maps.
HTTP request
POST https://mapstools.googleapis.com/v1alpha:resolveMapsUrls
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "urls": [ string ] } |
| Fields | |
|---|---|
urls[] |
Required. The Google Maps URLs to be resolved. Each URL should be a valid Google Maps URL, for example, https://maps.app.goo.gl/..., https://www.google.com/maps/place/..., or https://maps.google.com/.... Currently, only URLs pointing to a single place are supported. You may specify up to 20 URLs. |
Response body
Response message for v1alpha.resolveMapsUrls.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "entities": [ { object ( |
| Fields | |
|---|---|
entities[] |
Output only. The list of resolved entities from the Google Maps URLs. Guaranteed to map 1:1 with the request |
failedRequests |
Output only. A map communicating partial failures for the Google Maps URLs. The key is the index of the failed request in the An object containing a list of |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/maps-platform.mapstoolshttps://www.googleapis.com/auth/cloud-platform.read-only